gr::radar::tracking_singletarget Class Reference

This block tracks a singletarget detection with a particle or kalman filter. As input values with identifiers 'range' and 'velocity' are needed and should hold a f32vector with only one element. All input variables tagged with std gives the standard deviation of the parameter. The threshold_track is a value which decides with the likelihood of the data if the new data is accepted as a track. A good starting value is threshold_track = 0.001. threshold_lost is the number of false tracks unitel the track is lost and the tracker begins with a new one. The string filter decides which tracking kernel should be used. 'kalman' or 'particle' are valid. If 'particle' is chosen num_particle gives the number of particles for the particle filter. If 'kalman' is chosen there is no effect on the tracker. More...

`#include <tracking_singletarget.h>`

Inheritance diagram for gr::radar::tracking_singletarget:

## Public Types

typedef std::shared_ptr< tracking_singletarget > | sptr

## Static Public Member Functions

static sptr | make (int num_particle, float std_range_meas, float std_velocity_meas, float std_accel_sys, float threshold_track, int threshold_lost, std::string filter)
| Return a shared_ptr to a new instance of radar::tracking_singletarget.

## Detailed Description

This block tracks a singletarget detection with a particle or kalman filter. As input values with identifiers 'range' and 'velocity' are needed and should hold a f32vector with only one element. All input variables tagged with std gives the standard deviation of the parameter. The threshold_track is a value which decides with the likelihood of the data if the new data is accepted as a track. A good starting value is threshold_track = 0.001. threshold_lost is the number of false tracks unitel the track is lost and the tracker begins with a new one. The string filter decides which tracking kernel should be used. 'kalman' or 'particle' are valid. If 'particle' is chosen num_particle gives the number of particles for the particle filter. If 'kalman' is chosen there is no effect on the tracker.

Parameters

  num_particle | Number of particles for particle filter. There is no effect if kalman filter is chosen.
  std_range_meas | Standard deviation of the range measurement
  std_velocity_meas | Standard deviation of the velocity measurement
  std_accel_sys | Standard deviation of the system acceleration
  threshold_track | Value to decide if data is valid for the track
  theshold_lost | Number of false tracks until the current track is lost
  filter | Filter kernel to be used. 'kalman' or 'particle' are valid.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<tracking_singletarget> gr::radar::tracking_singletarget::sptr

## Member Function Documentation

## make()

sptr gr::radar::tracking_singletarget::make | ( | int | num_particle,
|  | float | std_range_meas,
|  | float | std_velocity_meas,
|  | float | std_accel_sys,
|  | float | threshold_track,
|  | int | threshold_lost,
|  | std::string | filter )

static

Return a shared_ptr to a new instance of radar::tracking_singletarget.

To avoid accidental use of raw pointers, radar::tracking_singletarget's constructor is in a private implementation class. radar::tracking_singletarget::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- tracking_singletarget.h